#include <stdio.h>



int
main(int argc, char *argv[])
{
    unsigned int x;

    // also, can treat x as a set
    x = 0x0;
    // add the member 12
    x = x | (0x1 << 12);
    printf("set: %.8x\n", x);
    // add member 6
    x = x | (0x1 << 6);
    printf("set: %.8x\n", x);
    // test for membership
    printf("is 6 a member? %d\n", (x >> 6) & 0x1);
    printf("is 7 a member? %d\n", (x >> 7) & 0x1);
    printf("is 12 a member? %d\n", (x >> 12) & 0x1);
    // & is intersection of sets, | is union, ~ is complement, ^ is sym diff
    unsigned int y = 0x01010101;
    printf("set: %.8x\n", y);
    printf("set: %.8x\n", x | y);
    printf("set: %.8x\n", x & y);

    return 0;
}

