#include <stdio.h>
#include <string.h>

#define KSIZE (1024)
unsigned char kbuf[KSIZE]; // 

void mcopy(void *dst, void *src, unsigned int n) {
    printf("copying %u bytes to dst\n", n);
    // does the copy of n bytes ...
}

void safecopy(void *ubuf, int maxlen) {
    int len = maxlen;
    if (len > KSIZE) {
	len = KSIZE;
    } 
    printf("len: %d\n", len);
    mcopy(ubuf, kbuf, len);
}

int
main(int argc, char *argv[])
{
    char mybuf[512];
    safecopy(mybuf, -512);
    return 0;
}

